Bug 116471 - LO603a: On macOS export PDF generates empty comments
Summary: LO603a: On macOS export PDF generates empty comments
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2018-03-18 16:46 UTC by Martin Srebotnjak
Modified: 2021-03-21 04:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Comment in odt file (110.31 KB, image/png)
2018-03-18 17:48 UTC, Martin Srebotnjak
Details
Comment in generated PDF file (179.95 KB, image/png)
2018-03-18 17:49 UTC, Martin Srebotnjak
Details
Test document (8.20 KB, application/vnd.oasis.opendocument.text)
2018-03-18 17:55 UTC, Martin Srebotnjak
Details
Generated PDF file with empty comment (12.54 KB, application/pdf)
2018-03-19 22:31 UTC, Martin Srebotnjak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Srebotnjak 2018-03-18 16:46:12 UTC
In exported PDF on macOS, comments are empty.
Only empty (yellow) placeholders are positioned there that open upon a click.
Comment 1 Martin Srebotnjak 2018-03-18 16:48:10 UTC
Using 6.0.3 daily build with no langpack.
This bug, AFAICR, was present also in older macOS versions.

The only way to get comments in PDF on macOS is a workaround to print to file, where pdf is selected as a printer. Then again, you get only actual text/blob comments, not foldable markup.
Comment 2 Telesto 2018-03-18 17:36:33 UTC
Thanks for the bugreport. (A) A sample ODT file. (b) The exported PDF and (c) a screenshot showing the problem would make thing a little easier to confirm =).
Comment 4 Telesto 2018-03-18 17:47:40 UTC
(In reply to Martin Srebotnjak from comment #3)
> Here is the tested file:
> https://www.odfauthors.org/libreoffice/english/getting-started/feedback-lo-6.
> 0/gs6000-preface-2nd-revision-1/view

Thanks. However, the document isn't public ;-)
Comment 5 Martin Srebotnjak 2018-03-18 17:48:38 UTC
Created attachment 140689 [details]
Comment in odt file
Comment 6 Martin Srebotnjak 2018-03-18 17:49:09 UTC
Created attachment 140690 [details]
Comment in generated PDF file
Comment 7 Martin Srebotnjak 2018-03-18 17:50:45 UTC
No, it isn't.

But there is no need for that.
Create a new empty document, add a comment (some text), export as PDF (export of comments should be enabled in export settings).
Open generated PDF, you get the same result.
Comment 8 Martin Srebotnjak 2018-03-18 17:55:38 UTC
Created attachment 140691 [details]
Test document

Enjoy.
Comment 9 Telesto 2018-03-19 16:02:50 UTC
(In reply to Martin Srebotnjak from comment #8)
> Created attachment 140691 [details]
> Test document
> 
> Enjoy.

I can't repro it with LibO 6.1 build 08-03-2018 using Sierra 10.12.6.
It might be a PDF-reader issue.. The PDF is valid (in my case): https://www.pdf-online.com/osa/validate.aspx
Comment 10 Martin Srebotnjak 2018-03-19 22:30:54 UTC
I tried with 6.1.x master, it does the same, Preview on macOS shows empty comment.
Comment 11 Martin Srebotnjak 2018-03-19 22:31:26 UTC
Created attachment 140727 [details]
Generated PDF file with empty comment
Comment 12 Xisco Faulí 2018-03-20 14:09:26 UTC
Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: 56fd575d5ee092436f5e864f457063d68b7a5b0a
CPU threads: 8; OS: Mac OS X 10.13.3; UI render: GL; 
Locale: en-US (en_ES.UTF-8); Calc: group
Comment 13 Xisco Faulí 2018-03-20 14:29:41 UTC
Ouch, I can see the comment of the attached PDF file in firefox ( mac and linux ) but not in Chrome ( linux ) or Safari ( mac ). Setting to All...
Comment 14 Telesto 2018-03-20 14:37:04 UTC
@Xisco
I'm probably on the wrong track, but what did you test:
* Opening the attached PDF ( Generated PDF file with empty comment)
* Or exporting the PDF and opening it

There something fishy with PDF, but I can't create one myself..
Comment 15 QA Administrators 2019-03-21 03:50:03 UTC Comment hidden (obsolete)
Comment 16 Martin Srebotnjak 2019-03-21 09:51:55 UTC
Reproduced in:

Build: 6.2.2.2
Build ID: 2b840030fec2aae0fd2658d8d4f9548af4e3518d
CPE Threads: 4; Op. sistem: Mac OS X 10.14.3; UI render: default; VCL: osx; 
Locale: sl-SI (sl_SI.UTF-8); UI language: sl-SI
Calc: threaded
Comment 17 QA Administrators 2021-03-21 04:17:29 UTC
Dear Martin Srebotnjak,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug